>From 856ffaee008486299d9c6db273d05190f461981b Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Tue, 27 Aug 2013 16:38:36 +0200
Subject: [PATCH] Remove template support for building pg_xlogdump with pgxs

pg_xlogdump could never be built with pgxs since it requires files from the
sourcetree, so remove that support. Previously building with pgxs errored out
reporting missing rules which isn't helpful.
---
 contrib/pg_xlogdump/Makefile | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/contrib/pg_xlogdump/Makefile b/contrib/pg_xlogdump/Makefile
index 22bd8dc..ada261c 100644
--- a/contrib/pg_xlogdump/Makefile
+++ b/contrib/pg_xlogdump/Makefile
@@ -13,15 +13,14 @@ RMGRDESCOBJS = $(patsubst %.c,%.o,$(RMGRDESCSOURCES))
 EXTRA_CLEAN = $(RMGRDESCSOURCES) xlogreader.c
 
 ifdef USE_PGXS
-PG_CONFIG = pg_config
-PGXS := $(shell $(PG_CONFIG) --pgxs)
-include $(PGXS)
-else
+$(error "pg_xlogdump cannot be built with PGXS")
+endif
+
 subdir = contrib/pg_xlogdump
 top_builddir = ../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
-endif
+
 
 override CPPFLAGS := -DFRONTEND $(CPPFLAGS)
 
-- 
1.8.3.251.g1462b67

